#pragma once

#include "IResizable.hpp"

namespace TSE
{
    class IRenderTarget : public IResizable
    {
        public:
        int UnitScaler = 32;

        virtual void Update() = 0;
        virtual void Bind() = 0;
        virtual void Unbind() = 0;
    };
} // namespace TSE
